#!/bin/sh
# securITvault A-Click Backup 5.5.1.0

# -------------------------- Set the Target Version ----------------------------
# Format of Version No: X.X.X.X
TARGET_VERSION=X.X.X.X

# --------------------------- Set the Action Name ------------------------------
AUA_ACTION=downgrade

# --------------------------- Change to AUA_HOME -------------------------------
AUA_BIN=`dirname "$0"`
cd "${AUA_BIN}"
cd ..
AUA_HOME=`pwd`

# ----------------- AutoUpdateAgent Execution via Java -------------------------
AUA_CLASSPATH=./lib:./lib/jdom.jar:./lib/log4j.jar:./lib/aua.jar:./ant/lib/ant.jar:./ant/lib/ant-launcher.jar:./ant/lib/xercesImpl.jar:./ant/lib/xml-apis.jar

# Run AutoUpdateAgent JVM
"${AUA_HOME}/jvm/bin/java" -Xrs -cp ${AUA_CLASSPATH} auas ./config.xml ${AUA_ACTION} ${TARGET_VERSION}
